Xalan-Java 2.7.1: Class CountersTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class CountersTable

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.xalan.transformer.CountersTable

public class CountersTable
extends java.util.Hashtable

This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. This really isn't a true table, it is more like a list of lists (there must be a technical term for that...).

See Also:
  Serialized Form
Usage:
  **For internal use only**

Constructor Summary
`CountersTable()` Construct a CountersTable.

Method Summary
`int` | `countNode(XPathContext support, ElemNumber numberElem, int node)` Count forward until the given node is found, or until we have looked to the given amount.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CountersTable

    public CountersTable()

  Construct a CountersTable.

Method Detail

### countNode

    public int countNode(XPathContext support,
                         ElemNumber numberElem,
                         int node)
                  throws TransformerException

  Count forward until the given node is found, or until we have looked to the given amount.
  Parameters:
    `support` - The XPath context to use
    `numberElem` - The given xsl:number element.
    `node` - The node to count.
  Returns:
    The node count, or 0 if not found.
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.